## NAME

r.unpack - Imports a GRASS specific raster archive file (packed with r.pack) as a raster map

## KEYWORDS

raster, import, copying

## SYNOPSIS

r.unpack
r.unpack --help
r.unpack [-op] input=name.pack [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-o
  Override projection check (use current projects's CRS)
  Assume that the dataset has same coordinate reference system as the current project
-p
  Print projection information of input pack file and exit
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name.pack [required]
  Name of input pack file
output=name
  Name for output raster map (default: taken from input file internals)

## DESCRIPTION

r.unpack allows unpacking raster maps packed by r.pack.

## NOTES

Name of the raster map is determined by default from pack file internals. Optionally the name can be given by output parameter. Currently only 2D raster maps are supported.

## EXAMPLE

Pack up raster map aspect into aspect.pack file.

    r.pack input=aspect

the raster map can be afterwards unpacked by

    r.unpack input=aspect.pack

## SEE ALSO

r.pack, r.in.gdal, v.pack

## AUTHORS

Original Bash script written by Hamish Bowman, Otago University, New Zealand as GRASS AddOns
Converted to Python and updated for GRASS 7 by Martin Landa, CTU in Prague, Czech Republic

## SOURCE CODE

Available at: r.unpack source code (history)

Latest change: Tuesday Nov 11 15:17:03 2025 in commit: 59f1608a354cb5e6c1a7a5cc477633b8632d1774

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual